#!/bin/bash


BuildList()
{
   # Create a comma separated list of ip addresses for slpd
   IP_LIST=$(ip addr show dev brg0 | grep inet | awk '{ print $2}' | sed 's/\/[^\/]*$//g' | sed ':a;N;$!ba;s/\n/,/g')

   # Update the slpd conf
   sed "s/.*net.slp.interfaces.*/net.slp.interfaces = $IP_LIST/g" /etc/slp.conf > /etc/slp.conf.tmp
   sync
}

BuildList
if [ -s /etc/slp.conf.tmp ]; then
    pkill slpd > /dev/null 2>&1
    pid=`pgrep slpd`
    if [ ! -z "$pid" ]; then
       pkill -9 slpd
    fi
    sleep 1
    # mv should be atomic
    mv /etc/slp.conf.tmp /etc/slp.conf
    sync
else
    # File doesn't exist or is 0-length
    echo ">>>`date`: WARNING! DID NOT INSTALL UPDATED SLP CONFIG - FILE IS MISSING OR EMPTY !!" >> /var/log/syslog
fi
